API Reference

Create a direct credit

POST/direct_credits

Body Parameters

descriptionstring

Recommended to be unique. Max 18 characters, allowed chars are A-Z, 0-9, period, hyphen, ampersand, and underscore. It is recommended you make this descriptive for your customer - e.g. Invoice ABCD123.

amountnumber (float)

Amount. Minimum 0.01, positive only.

bsbstring

The destination account's BSB number. Format: ###-###

account_namestring

The destination account name. Max 32 characters.

account_numberstring

The destination account number. Max 9 digits.

datestring (date)(optional)

Date of the direct credit. Optional but recommended. Defaults to the next processing period (current day if before 17:00, next day if after). Must be in the future.

referencestring(optional)

Unique reference

metadataobject(optional)

Metadata for the direct credit

bank_accountstring(optional)

The Fat Zebra bank account ID to be used in place of account_name, account_number, and bsb. If bank_account is supplied, the other attributes should be omitted.

Request

curl
curl https://gateway.pmnts-sandbox.io/v1.0/direct_credits -u TEST:TEST -d'
  { 
  "description": "Confirmation", 
  "amount": 42, 
  "bsb": "123-123", 
  "account_name": "Test", 
  "account_number": "012345678" 
  }'

Response

201Result
json
{
  "successful": true,
  "response": {
  "id": "071-DC-IQ2X25I5",
  "amount": 42.0,
  "bsb": "123-123",
  "account_number": "012345678",
  "account_name": "Test",
  "description": "Confirmation",
  "reference": "071-DC-IQ2X25I5",
  "date": "2018-09-14",
  "process_date": null,
  "status": "New",
  "result": null,
  "metadata": null
  },
  "errors": [],
  "test": true
}
422Result
json
{
  "successful": false,
  "response": {
  "id": null,
  "amount": 42,
  "bsb": "123-123",
  "account_number": "012345678",
  "account_name": "Test",
  "description": "Confirmation",
  "reference": "071-DC-FYC4V7W4",
  "date": "2018-09-14",
  "process_date": null,
  "status": "New",
  "result": null,
  "metadata": null
  },
  "errors": [
  "Reference has already been taken"
  ],
  "test": true
}